{**********************************************}
{   TWaterFallSeries Editor dialog             }
{   Copyright (c) 2000-2020 by Steema Software }
{**********************************************}
unit TeeWaterFallEdit;
{$I TeeDefs.inc}

interface

uses {$IFNDEF LINUX}
     Windows, Messages,
     {$ENDIF}
     SysUtils, Classes,

     Graphics, Controls, Forms, Dialogs, StdCtrls, ExtCtrls, ComCtrls,

     TeeSurfEdit, TeCanvas, TeePenDlg;

type
  TWaterFallEditor = class(TSurfaceSeriesEditor)
    TabLines: TTabSheet;
    procedure PageControl1Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation

{$IFNDEF LCL}
{$R *.DFM}
{$ELSE}
{$R *.lfm}
{$ENDIF}

procedure TWaterFallEditor.PageControl1Change(Sender: TObject);
begin
  inherited;

  if PageControl1.ActivePage=TabLines then
     if TabLines.ControlCount=0 then
        TPenDialog.InsertForm(Surface.WaterLines,TabLines);
end;

initialization
  RegisterClass(TWaterFallEditor);
end.
